> ## Documentation Index
> Fetch the complete documentation index at: https://docs.passform.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get membership member

> Get a single membership member by its unique member ID. Requires an API key.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/memberships/members/{memberId}
openapi: 3.1.0
info:
  title: Passform API
  description: The Passform API for creating Google and Apple wallet passes
  version: 0.1.0
servers:
  - url: https://api.passform.io
security: []
tags:
  - name: mcp
    description: Routes exposed via the MCP server at /mcp
  - name: auth
    description: Routes for managing API keys
  - name: templates
    description: >-
      Templates represent the appearance of a pass. They include information on
      things such as icons, images, colours and text. A template is used by a
      pass to define how the pass should look and behave.
  - name: passes
    description: >-
      A pass is an individual instance based on a template. It contains details
      that are specific to its instance.
  - name: apple
    description: >-
      Routes used by apple to update passes and manage devices associated to
      passes.
externalDocs:
  url: https://swagger.io
  description: Find more info here
paths:
  /v1/memberships/members/{memberId}:
    get:
      tags:
        - memberships
        - mcp
      summary: Get membership member
      description: >-
        Get a single membership member by its unique member ID. Requires an API
        key.
      operationId: getMembershipMember
      parameters:
        - schema:
            type: string
          in: query
          name: accountId
          required: false
        - schema:
            minimum: 1
            type: number
          in: path
          name: memberId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    description: Incremental member ID per account (1, 2, 3...)
                    minimum: 1
                    type: number
                  accountId:
                    description: The memberships account this member belongs to
                    type: string
                  templateId:
                    description: The template ID used for generating this member's pass
                    type: string
                  passId:
                    description: The ID of the auto-generated pass for this member
                    type: string
                  email:
                    description: The email of the member
                    type: string
                  name:
                    description: The name of the member
                    type: string
                  status:
                    description: The status of the membership
                    anyOf:
                      - description: The member needs approval from the organisation
                        type: string
                        enum:
                          - pending
                      - description: The member is valid, but membership may have expired
                        type: string
                        enum:
                          - valid
                      - description: The membership has been revoked by the organisation
                        type: string
                        enum:
                          - revoked
                  data:
                    description: Unstructured data for this member
                    type: object
                    additionalProperties: {}
                  expiry:
                    anyOf:
                      - format: date-time
                        description: Optional expiry date for the membership (ISO 8601)
                        type: string
                      - type: 'null'
                  createdAt:
                    format: date-time
                    type: string
                  updatedAt:
                    format: date-time
                    type: string
                  remindersSent:
                    description: >-
                      Tracks which reminder periods have been sent and when
                      (server-managed)
                    type: object
                    additionalProperties: {}
                required:
                  - id
                  - accountId
                  - templateId
                  - passId
                  - email
                  - name
                  - status
                  - data
                  - expiry
                  - createdAt
                  - updatedAt
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/def-0'
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/def-0'
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/def-0'
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/def-0'
      security:
        - bearerAuth: []
components:
  schemas:
    def-0:
      type: object
      properties:
        statusCode:
          type: number
        code:
          type: string
        error:
          type: string
        message:
          type: string
      title: HttpError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````